Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/bundling?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "a1b2c3d4-e5f6-4789-a012-3456789abcde",
            "name": "Paket Belajar Lengkap",
            "amount": 150000,
            "description": "<p>Paket bundling kelas online dan produk digital.</p>\n",
            "type": "bundling",
            "status": "active",
            "link": "paket-belajar-lengkap",
            "updatedAt": 1782557015266,
            "createdAt": 1773826841895,
            "bundlingProductType": "payment_link",
            "coverImageId": null,
            "coverImage": null,
            "products": [
                {
                    "id": "6f8c19ff-2b6a-4c7e-9f1d-1a2b3c4d5e6f",
                    "status": "ENABLED",
                    "paymentLinkId": "21d84338-7c2e-4a9b-8d3f-4e5f6a7b8c9d",
                    "paymentLink": {
                        "id": "21d84338-7c2e-4a9b-8d3f-4e5f6a7b8c9d",
                        "name": "Kelas Online Dasar",
                        "type": "course",
                        "amount": 0
                    }
                },
                {
                    "id": "b2c3d4e5-f6a7-4890-b123-456789abcdef",
                    "status": "ENABLED",
                    "paymentLinkId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
                    "paymentLink": {
                        "id": "348e083d-315a-4e5c-96b1-5a2a98c48413",
                        "name": "Produk Digital Premium",
                        "type": "digital_product",
                        "amount": 100000
                    }
                },
                {
                    "id": "c3d4e5f6-a7b8-4901-c234-56789abcdef0",
                    "status": "ENABLED",
                    "paymentLinkId": "7c9d2e1f-3a4b-4c5d-8e6f-7a8b9c0d1e2f",
                    "paymentLink": {
                        "id": "7c9d2e1f-3a4b-4c5d-8e6f-7a8b9c0d1e2f",
                        "name": "Link Pembayaran Tambahan",
                        "type": "generic_link",
                        "amount": 50000
                    }
                }
            ]
        }
    ],
    "hasMore": false,
    "nextStartingAfter": null
}
Endpoint:
https://api.mayar.id/hl/v2/bundling?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of bundling products. Each item is a bundling-type product object.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string<uuid>
Unique ID of the bundling product.
name
string
Name of the bundling product.
amount
integer
Price of the bundle.
description
string | null
Bundle description (may contain HTML).
type
string
Item type. Always bundling for this list.
status
string
Bundle status (example: active, closed).
Unique link slug.
updatedAt
number (timestamp)
Last update time in epoch format (ms).
createdAt
number (timestamp)
Creation time in epoch format (ms).
bundlingProductType
string
Type of products that make up the bundle (example: payment_link).
coverImageId
string<uuid> | null
Cover image ID (if any).
coverImage
object | null
Cover image details (if any).
products
array of object
List of products included in the bundle.

products Structure (Array Of Object)

id
string<uuid>
ID of the bundle-product link record.
status
string
Status of the product within the bundle (example: ENABLED).
ID of the underlying product/payment link.
Summary of the underlying product/payment link.
id
string<uuid>
ID of the product/payment link.
name
string
Name of the product/payment link.
type
string
Product type (example: course, digital_product, generic_link).
amount
integer
Price of the underlying product.